/* Reset margin dan atur jenis font */
body {
  margin: 0;
  font-family: sans-serif;
}

/* Gaya untuk header tetap dengan efek latar belakang transparan */
header {
  background-color: #ff6600;
  color: white;
  padding: 15px 100px;
  position: fixed;
  width: 100%;
  top: 0;
  transition: top 0.3s, background-color 0.3s;
  display: flex;
  justify-content: space-between;
  align-items: center;
  opacity: 1;
  z-index: 2;
}

/* Terapkan latar belakang transparan saat menggulir ke bawah */
header.transparent {
  background-color: rgba(51, 51, 51, 0.8);
}

/* Gaya untuk logo */
.logo img {
  max-height: 40px;
}

/* Gaya untuk menu navigasi */
nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
}

nav li {
  margin-right: 20px;
}

nav a {
  text-decoration: none;
  color: white;
  font-weight: normal;
  font-size: 16px;
  position: relative;
}

/* Gaya untuk efek hover dan active pada tautan navigasi */
nav a::after {
  content: "";
  display: block;
  width: 0;
  height: 2px;
  background-color: white;
  position: absolute;
  bottom: 0;
  left: 50%;
  transition: width 0.3s ease-in-out, left 0.3s ease-in-out;
}

nav a:hover::after,
nav a.active::after {
  width: 100%;
  left: 0;
}

#banner {
  position: relative;
  overflow: hidden;
  clip-path: polygon(0 0, 100% 0, 100% 75%, 0% 100%);
}

.parallax {
  height: 550px;
  overflow: hidden;
  position: relative;
  background-image: url('Background.jpg');
  background-position: center;
  background-attachment: fixed;
}

/* Gaya untuk konten dalam banner */
.banner-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: white;
}

.banner-content h1 {
  font-size: 3em;
  margin-bottom: 20px;
}

.banner-content p {
  font-size: 1.5em;
}

/* Gaya untuk bagian aplikasi utama */
#app {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* Gaya untuk kontrol dan filter */
.controls {
  display: flex;
  margin-top: 50px;
  justify-content: space-between;
  gap: auto;
  width: 80%;
}

/* Gaya untuk kontrol pengurutan dan paginasi */
#sort, #perPage {
  border-radius: 10px;
  margin: 0px 10px 0px 5px;
  padding: 2px 10px;
}

/* Gaya untuk kotak paginasi */
.pagination-container {
  margin-top: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 50px;
}

.pagination-link.disabled {
  color: #ccc;
  cursor: not-allowed;
  font-weight: normal;
}

.pagination-number {
  display: inline-block;
  padding: 5px 10px;
  background-color: transparent;
  border-radius: 10px;
}

/* Gaya untuk nomor paginasi yang aktif */
.pagination-number.active {
  background-color: #ff6600;
  color: #fff;
}

/* Gaya untuk kontainer posting */
.post-container {
  display: flex;
  flex-wrap: wrap;
  grid-template-columns: auto-fit, 28rem;
  margin: 20px 20px 20px 80px;
}

/* Gaya untuk kartu posting */
.post-card {
  margin: 15px;
  max-width: 250px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

/* Gaya untuk gambar thumbnail */
.thumbnail img {
  width: 100%;
  height: auto;
  border-radius: 10px 10px 0 0;
}

/* Gaya untuk judul posting */
.title {
  margin: 15px;
  font-weight: bold;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

/* Gaya untuk tanggal posting */
.date {
  margin: 15px;
  color: #666;
}

/* Gaya untuk elemen paginasi */
.pagination {
  display: flex;
}

.pagination span {
  margin: 0 5px;
  cursor: pointer;
}

.pagination-link {
  margin: 0 5px;
  cursor: pointer;
  font-size: 18px;
  color: #333;
}

/* Gaya untuk tautan paginasi yang aktif */
.pagination-link.active {
  font-weight: bold;
}
